#define F_CPU 16000000
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <avr/pgmspace.h>
#include <stdio.h>
#include <stdlib.h>

#include "lcd.h"


int main() {
    // inits
	LCD_DDR |= (1<<PC7);
	LCD_PORT |= (1<<PC7);
	lcd_init();

	DDRB &= ~(1 << PB0);
	DDRB &= ~(1 << PB1);
	DDRB &= ~(1 << PB2);
	DDRB &= ~(1 << PB3);

	PORTB |= (1 << PB0);
	PORTB |= (1 << PB1);
	PORTB |= (1 << PB2);
	PORTB |= (1 << PB3);

	lcd_contrast(0x40);

	// start game
	play();

	// game over
	while (1) {
		lcd_clear_line(3);
		lcd_goto_xy(3, 3);
		lcd_str("GAME OVER");
	}

	return 0;
}
